curl -X POST -H "Content-Type: application/json" -d '{
"ice_breakers":[
{
"call_to_actions":[
{
"question":"<QUESTION>",
"payload":"<PAYLOAD>"
},
{
"question":"<QUESTION>",
"payload":"<PAYLOAD>"
}
],
"locale":"default" // default locale is REQUIRED
},
{
"call_to_actions":[
{
"question":"<QUESTION>",
"payload":"<PAYLOAD>"
},
{
"question":"<QUESTION>",
"payload":"<PAYLOAD>"
}
],
"locale":"en_GB"
}
]
}' "https://graph.facebook.com/v25.0/me/messenger_profile?access_token=<PAGE_ACCESS_TOKEN>"
curl -X POST -H "Content-Type: application/json" -d '{
"ice_breakers":[
{
"question": "<QUESTION>",
"payload": "<PAYLOAD>"
},
{
"question": "<QUESTION>",
"payload": "<PAYLOAD>"
},
...
]
}' "https://graph.facebook.com/v25.0/me/messenger_profile?access_token=<PAGE_ACCESS_TOKEN>"
curl -X GET "https://graph.facebook.com/v25.0/me/messenger_profile?fields=ice_breakers&access_token=<PAGE_ACCESS_TOKEN>"
{ "data": [ { "call_to_actions" : [ { "question": "<QUESTION>", "payload": "<PAYLOAD>", }, { "question": "<QUESTION>", "payload": "<PAYLOAD>", }, ], "locale": "<LOCALE>", }, { "call_to_actions" : [ { "question": "<QUESTION>", "payload": "<PAYLOAD>", }, { "question": "<QUESTION>", "payload": "<PAYLOAD>", }, ], "locale": "<LOCALE>", ... } ] }
{
"data": [
{
"ice_breakers": [
{
"question": "<QUESTION>",
"payload": "<PAYLOAD>"
},
{
"question": "<QUESTION>",
"payload": "<PAYLOAD>"
},
...
]
}
]
}
curl -X DELETE -H "Content-Type: application/json" -d '{
"fields": [
"ice_breakers",
]
}' "https://graph.facebook.com/v25.0/me/messenger_profile?access_token=<PAGE_ACCESS_TOKEN>"
{
"success": "true"
}
| Property | Type | Description |
|---|---|---|
question | String | Text that will be posted on the thread as the user asking the question. |
payload | String | Payload the will be returned as a postback webhook event |
curl -X POST -H "Content-Type: application/json" -d '{
"ice_breakers":[
{
"call_to_actions":[
{
"question":"Where are you located?",
"payload":"LOCATION_POSTBACK_PAYLOAD"
},
{
"question":"What are your hours?",
"payload":"HOURS_POSTBACK_PAYLOAD"
}
],
"locale":"default"
},
{
"call_to_actions":[
{
"question":"What are your hours?",
"payload": "HOURS_POSTBACK_PAYLOAD"
},
{
"question":"Can you tell me more about your business?",
"payload": "MORE_POSTBACK_PAYLOAD"
},
{
"question":"What services do you offer?",
"payload": "SERVICES_POSTBACK_PAYLOAD"
}
],
"locale":"en_GB"
}
]
}' "https://graph.facebook.com/v25.0/me/messenger_profile?access_token=<PAGE_ACCESS_TOKEN>"